<?php

namespace Ems\Logic\ProcessamentoSolicitacao;

use Ems\Util\Utils;
use Util\{ DateUtil, NovoCodigo, Repositories };

class ProcessamentoSolicitacaoPlanoSaude extends ProcessamentoSolicitacao {
    
    public function efetivar() {
        $itens = $this->getItensAssociativeArray();
        
        $nrorg                  = Utils::getParamters()->getNrorg();
        $nrvinculom             = $this->getSolicitacao()->getNrvinculom();
        $nrbeneficiom           = $itens['NRBENEFICIOM']        ?? null;
        $nrpessoa               = $itens['NRPESSOA']            ?? null;
        $idtpbeneficiario       = $itens['IDTPBENEFICIARIO']    ?? null;
        $dtinscbeneficiario     = isset($itens['DTINSCBENEFICIARIO']) ? DateUtil::getDataDeString(substr($itens['DTINSCBENEFICIARIO'],0,10), DateUtil::FORMATO_BRASILEIRO, true) : null;
        
        $result = Utils::getEntityManager()->getRepository(Repositories::VAB_BENEFICIARIO)->findBy(array("nrorg"=> $nrorg,"nrvinculom" => $nrvinculom,"nrpessoa" => $nrpessoa,"nrbeneficiom" => $nrbeneficiom));
        if($result)
            throw new \Exception("Beneficiário já cadastrado");

        $vabBeneficiario = Repositories::VAB_BENEFICIARIO;
        $beficiario = new $vabBeneficiario;
        $beficiario->setNrorg($nrorg);
        $beficiario->setNrvinculom($nrvinculom);
        $beficiario->setNrbeneficiom($nrbeneficiom);
        $beficiario->setNrpessoa($nrpessoa);
        $beficiario->setIdtpbeneficiario($idtpbeneficiario);
        $beficiario->setDtinscbeneficiario($dtinscbeneficiario);
        $beficiario->setQtbeneficio(1);
        $beficiario->setDtinclusao(DateUtil::getDataAtual(false));
        $beficiario->setNrorginclusao(Utils::getParamters()->getNrorg());
        $beficiario->setCdoperinclusao(Utils::getParamters()->getCdoperador());
        $beficiario->setNrbeneficiario(NovoCodigo::geraCodigo(Utils::getParamters()->getNrorg(), 'VAB_BENEFICIARIO', 1, 12, true));
        Utils::getEntityManager()->persist($beficiario);
        Utils::getEntityManager()->flush();
    }
    
    public function rejeitar() {}
}