<?php

namespace Ems\Logic\ProcessamentoSolicitacao;

use Ems\Util\Utils;
use Util\{ DateUtil, NovoCodigo, Repositories };

class ProcessamentoSolicitacaoSalario extends ProcessamentoSolicitacao {
    
    public function efetivar() {
        $itens = $this->getItensAssociativeArray();
        
        $nrorg          = Utils::getParamters()->getNrorg();
        $nrvinculom     = $this->getSolicitacao()->getNrvinculom();
        $dtaltesalario  = isset($itens['DTALTESALARIO']) ? DateUtil::getDataDeString(substr($itens['DTALTESALARIO'],0,10), 'd/m/Y', true) : null;
        $nrtipoaltera   = $itens['NRTIPOALTERA']        ?? null;
        $nrtpmodalidsal = $itens['NRTPMODALIDSAL']      ?? null;
        $idtpsalario    = $itens['IDTPSALARIO']         ?? null;
        $nrocorrencia   = $itens['NROCORRENCIA']        ?? null;
        $novoVlrSalario = $itens['VRSALARIO']           ?? $itens['NOVOVALORSALARIO'] ?? null;
        
        $alteSalario = ProcessamentoSolicitacaoUtil::novoAlteSalario($nrorg, $nrvinculom, $dtaltesalario, $nrocorrencia, $nrtipoaltera, $nrtpmodalidsal, $idtpsalario, $novoVlrSalario);
    }
    
    public function rejeitar() {}
}