IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPFILI' and
            type = 'TR'                  and
            u.uid = o.uid           	  and
            u.name = USER)
   DROP TRIGGER DTULTATU_GRUPFILI
GO

CREATE TRIGGER DTULTATU_GRUPFILI
ON GRUPFILI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'GRUPFILI', null, 'CDGRUPFILI=' + CDGRUPFILI + ';', GETDATE() FROM DELETED)

   END
   ELSE BEGIN
      UPDATE GRUPFILI
      SET DTULTATU = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GRUPFILI.CDGRUPFILI,0)   = ISNULL(INSERTED.CDGRUPFILI,0)) AND
            (ISNULL(GRUPFILI.NMGRUPFILI,0)   = ISNULL(INSERTED.NMGRUPFILI,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_GRUPFILI','6.35.027';
GO

